%{?mingw_package_header}

%global pkgname podofo

Name:          mingw-%{pkgname}
Version:       0.9.5
Release:       6%{?dist}
Summary:       MinGW Windows %{pkgname} library

# The library is licensed under the LGPL.
# The tests and tools which are included in PoDoFo are licensed under the GPL.
# See the files COPYING and COPYING.LIB for details, see COPYING.exception.
License:       GPLv2+ and LGPLv2+ with exceptions
BuildArch:     noarch
URL:           http://podofo.sourceforge.net
Source0:       http://downloads.sourceforge.net/%{pkgname}/%{pkgname}-%{version}.tar.gz
# Fix failure to detect FreeType
Patch0:         podofo-0.9.4-freetype.patch
# Drop -std=c++98 from CXXFLAGS gcc appears to miscompile with it. See
# https://sourceforge.net/p/podofo/mailman/message/35649256/
Patch1:         podofo-0.9.5_stdc++98.patch

# Backported security fixes
Patch100:       CVE-2017-738[0123].patch
Patch101:       CVE-2017-5852.patch
Patch102:       CVE-2017-5853-and-CVE-2017-6844.patch
Patch103:       CVE-2017-5854.patch
Patch104:       CVE-2017-5855.patch
Patch105:       CVE-2017-5886-and-CVE-2018-8000.patch
Patch106:       CVE-2017-6840-and-CVE-2017-6842-and-CVE-2017-6843.patch
Patch107:       CVE-2017-6845.patch
Patch108:       CVE-2017-6847-and-CVE-2017-6848.patch
Patch109:       CVE-2017-7378.patch
Patch110:       CVE-2017-7379.patch
Patch111:       CVE-2017-7994.patch
Patch112:       CVE-2017-8054.patch
Patch113:       CVE-2017-8378.patch
Patch114:       CVE-2017-8787.patch
Patch115:       CVE-2018-5295.patch
Patch116:       CVE-2018-5308.patch


BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-fontconfig
BuildRequires: mingw32-freetype
BuildRequires: mingw32-libidn
BuildRequires: mingw32-libjpeg
BuildRequires: mingw32-libpng
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-openssl
BuildRequires: mingw32-zlib

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-fontconfig
BuildRequires: mingw64-freetype
BuildRequires: mingw64-libidn
BuildRequires: mingw64-libjpeg
BuildRequires: mingw64-libpng
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-openssl
BuildRequires: mingw64-zlib


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}-tools
Tools for the MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}-tools
Tools for the MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_cmake -DPODOFO_BUILD_SHARED=1
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Don't install manpages
rm -rf %{buildroot}%{mingw32_datadir}
rm -rf %{buildroot}%{mingw64_datadir}


%files -n mingw32-%{pkgname}
%license COPYING.LIB COPYING.exception
%{mingw32_bindir}/libpodofo.dll
%{mingw32_libdir}/libpodofo.dll.a
%{mingw32_libdir}/pkgconfig/libpodofo-0.pc
%{mingw32_includedir}/podofo/

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%license COPYING.LIB COPYING.exception
%{mingw64_bindir}/libpodofo.dll
%{mingw64_libdir}/libpodofo.dll.a
%{mingw64_libdir}/pkgconfig/libpodofo-0.pc
%{mingw64_includedir}/podofo/

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe


%changelog
* Fri Jun 15 2018 Sandro Mani <manisandro@gmail.com> - 0.9.5-6
- Backport security fixes (taken from debian package):
   CVE-2017-7380, CVE-2017-7381, CVE-2017-7382, CVE-2017-7383, CVE-2017-5852,
   CVE-2017-5853, CVE-2017-6844, CVE-2017-5854, CVE-2017-5855, CVE-2017-5886,
   CVE-2018-8000, CVE-2017-6840, CVE-2017-6842, CVE-2017-6843, CVE-2017-6845,
   CVE-2017-6847, CVE-2017-6848, CVE-2017-7378, CVE-2017-7379, CVE-2017-7994,
   CVE-2017-8054, CVE-2017-8378, CVE-2017-8787, CVE-2018-5295, CVE-2018-5308

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 06 2017 Sandro Mani <manisandro@gmail.com> - 0.9.5-4
- Enable OpenSSL support

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Sandro Mani <manisandro@gmail.com> - 0.9.5-2
- Drop -std=c++98 from CXXFLAGS

* Thu Feb 02 2017 Sandro Mani <manisandro@gmail.com> - 0.9.5-1
- Update to 0.9.5

* Sun Oct 02 2016 Sandro Mani <manisandro@gmail.com> - 0.9.4-2
- Fix typo ${pkgname} -> %%{pkgname}

* Sun Sep 18 2016 Sandro Mani <manisandro@gmail.com> - 0.9.4-1
- Initial package
